/******************************************************************************
*                                                                             *
*    IconTools.h                            Copyright(c) 2005-2007 itow,y.    *
*                                                                             *
******************************************************************************/


#ifndef ICON_TOOLS_H
#define ICON_TOOLS_H


#include <pshpack1.h>

typedef struct {
	WORD idReserved;
	WORD idType;
	WORD idCount;
} ICONDIR;

typedef struct {
	BYTE bWidth;
	BYTE bHeight;
	BYTE bColorCount;
	BYTE bReserved;
	WORD wPlanes;
	WORD wBitCount;
	DWORD dwBytesInRes;
	DWORD dwImageOffset;
} ICONDIRENTRY;

#include <poppack.h>

#define MemAlloc(size) HeapAlloc(GetProcessHeap(),0,size)
#define MemFree(ptr) HeapFree(GetProcessHeap(),0,ptr)

/*
#define DIB_ROW_BYTES(width,bpp) (((width)*(bpp)+31)/32*4)
*/
#define DIB_ROW_BYTES(width,bpp) ((((width)*(bpp)+31)>>5)<<2)


#endif	/* ndef ICON_TOOLS_H */
